package com.xydl.cac.service.impl;

import com.xydl.cac.entity.Jg;
import com.xydl.cac.repository.JgRepository;
import com.xydl.cac.service.JgService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;

@Service
@Slf4j
@Transactional(rollbackFor = Exception.class)
public class JgServiceImpl implements JgService {

    @Resource
    JgRepository repository;

    @Override
    public List<Jg> listAll(Integer bdzid) {
        if (bdzid == null) {
            return repository.findAll();
        } else {
            return repository.findByBdzid(bdzid);
        }
    }

    @Override
    public Jg add(Jg item) {
        item.setId(null);
        return repository.save(item);
    }

    @Override
    public void update(Jg item) {
        repository.save(item);
    }

    @Override
    public void delete(Integer id) {
        repository.deleteById(id);
    }
}
