package com.xydl.cac.service.impl;

import com.xydl.cac.entity.Zsb;
import com.xydl.cac.repository.ZsbRepository;
import com.xydl.cac.service.ZsbService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;

@Service
@Slf4j
@Transactional(rollbackFor = Exception.class)
public class ZsbServiceImpl implements ZsbService {

    @Resource
    ZsbRepository repository;

    @Override
    public List<Zsb> listAll(Integer jgid) {
        if (jgid == null) {
            return repository.findAll();
        } else {
            return repository.findByJgid(jgid);
        }
    }

    @Override
    public Zsb add(Zsb item) {
        item.setId(null);
        return repository.save(item);
    }

    @Override
    public void update(Zsb item) {
        repository.save(item);
    }

    @Override
    public void delete(Integer id) {
        repository.deleteById(id);
    }
}
